#include<iostream.h>
 int main()
{
 long fac(int n);/*函数声明*/
 int n;
 long s;
 cin>>n;
 s=fac(n);/*函数调用*/
 cout<<n<<"!="<<s<<endl;
 return(0);
} 
long fac(int n)/*函数定义*/
{
 long s;
 if(n==1)
  s=1;
 else
  s=n*fac(n-1);/*递归调用*/
 return(s);/*函数返回值*/
}
